package com.heyu.api.data.entity.vv;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*退款证据表
* @author quyixiao
* @since 2025-10-16
*/

@Data
@TableName("vv_reverse_order_prove")
public class VvReverseOrderProveEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.vv.VvReverseOrderProveEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                               // 
    public final static String is_delete = CLASS_NAME + "is_delete";                  // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";              // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";              // 修改时间
    public final static String reverse_order_id = CLASS_NAME + "reverse_order_id";    // 逆向订单id
    public final static String type_ = CLASS_NAME + "type";                           // image 或 video
    public final static String resource_url = CLASS_NAME + "resource_url";            // 资源url
    public final static String scene_ = CLASS_NAME + "scene";                         // 场景，upload_track_number  ,上传物流单号, upload_reverse_prove 上传证据
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //逆向订单id
    private Long reverseOrderId;
    //image 或 video
    private String type;
    //资源url
    private String resourceUrl;
    //场景，upload_track_number  ,上传物流单号, upload_reverse_prove 上传证据
    private String scene;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 逆向订单id 
     * @return
     */
    public Long getReverseOrderId() {
        return reverseOrderId;
    }
    /**
     * 逆向订单id 
     * @param reverseOrderId
     */
    public void setReverseOrderId(Long reverseOrderId) {
        this.reverseOrderId = reverseOrderId;
    }

    /**
     * image 或 video 
     * @return
     */
    public String getType() {
        return type;
    }
    /**
     * image 或 video 
     * @param type
     */
    public void setType(String type) {
        this.type = type;
    }

    /**
     * 资源url 
     * @return
     */
    public String getResourceUrl() {
        return resourceUrl;
    }
    /**
     * 资源url 
     * @param resourceUrl
     */
    public void setResourceUrl(String resourceUrl) {
        this.resourceUrl = resourceUrl;
    }

    /**
     * 场景，upload_track_number  ,上传物流单号, upload_reverse_prove 上传证据 
     * @return
     */
    public String getScene() {
        return scene;
    }
    /**
     * 场景，upload_track_number  ,上传物流单号, upload_reverse_prove 上传证据 
     * @param scene
     */
    public void setScene(String scene) {
        this.scene = scene;
    }

    @Override
    public String toString() {
        return "VvReverseOrderProveEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",reverseOrderId=" + reverseOrderId +
                ",type=" + type +
                ",resourceUrl=" + resourceUrl +
                ",scene=" + scene +
                "}";
    }
}